> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-models/product-structures/model-setup/sections.md).

# Sections

Sections allow you to further segment data into relevant categories

{% hint style="info" %}
Expand the tab(s) you want to manage sections in
{% endhint %}

### Add a new section

1. Click "+"-icon
2. Choose [section type](/reference/settings/data-models/product-structures/model-setup/sections/section-types.md)
3. Set [section details](/reference/settings/data-models/product-structures/model-setup/sections/section-types/section-details.md)
4. Click "Submit"

### Edit section

1. Hover section and click "Edit"-icon
2. Modify [section details](/reference/settings/data-models/product-structures/model-setup/sections/section-types/section-details.md)
3. Click "Submit"

### Copy section

1. Hover section and click "Copy"-icon
2. Right click a section you want to paste above or below
3. Click "Paste above" or "Paste below"

### Cut section

1. Hover section and click "Cut"-icon
2. Right click a section you want to paste above or below
3. Click "Paste above" or "Paste below"

### Delete section

1. Hover section and click "Delete"-icon

### Bulk copy sections

1. Select sections you wish to copy
2. Click "Copy sections"-icon
3. Right click a section you want to paste above or below
4. Click "Paste above" or "Paste below"

### Bulk cut sections

1. Select sections you wish to copy
2. Click "Copy sections"-icon
3. Right click a section you want to paste above or below
4. Click "Paste above" or "Paste below"

### Bulk delete sections

1. Select sections you wish to delete
2. Click "Delete sections"-icon


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/settings/data-models/product-structures/model-setup/sections.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
